LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XSubDocument Interface Reference

allows operating on a sub document of an OfficeDatabaseDocument More...

`import"XSubDocument.idl";`

Inheritance diagram for XSubDocument:

## Public Member Functions
::com::sun::star::lang::XComponent | open () raises ( ::com::sun::star::lang::WrappedTargetException )
| opens the sub document More...
::com::sun::star::lang::XComponent | openDesign () raises ( ::com::sun::star::lang::WrappedTargetException )
| opens the sub document in design mode More...
void | store () raises ( ::com::sun::star::lang::WrappedTargetException )
| stores the sub document, if it had previously been opened in either mode More...
boolean | close () raises ( ::com::sun::star::lang::WrappedTargetException )
| closes the sub document, if it had previously been opened in either mode More...

## Detailed Description

allows operating on a sub document of an OfficeDatabaseDocument

Since
  OOo 3.1

## Member Function Documentation

## ◆ close()

boolean close | ( |  | ) |
raises | ( | ::com::sun::star::lang::WrappedTargetException
| ) |  |

closes the sub document, if it had previously been opened in either mode

Returns
  `TRUE` if and only if the document could be closed, `FALSE` otherwise, e.g. if the closing has been vetoed by the user.

Exceptions

  com::sun::star::lang::WrappedTargetException | if an error occurs during closing the document

## ◆ open()

::com::sun::star::lang::XComponent open | ( |  | ) |
raises | ( | ::com::sun::star::lang::WrappedTargetException
| ) |  |

opens the sub document

Note that opening the document means it is displayed in an own top-level frame on the desktop.

Returns
  the sub document, usually a com::sun::star::frame::XModel, or a com::sun::star::frame::XController if the sub document does not have an own model.

Exceptions

  com::sun::star::lang::WrappedTargetException | if an error occurs during opening the document

## ◆ openDesign()

::com::sun::star::lang::XComponent openDesign | ( |  | ) |
raises | ( | ::com::sun::star::lang::WrappedTargetException
| ) |  |

opens the sub document in design mode

Returns
  the sub document, usually a com::sun::star::frame::XModel, or a com::sun::star::frame::XController if the sub document does not have an own model.

Exceptions

  com::sun::star::lang::WrappedTargetException | if an error occurs during opening the document

## ◆ store()

void store | ( |  | ) |
raises | ( | ::com::sun::star::lang::WrappedTargetException
| ) |  |

stores the sub document, if it had previously been opened in either mode

Exceptions

  com::sun::star::lang::WrappedTargetException | if an error occurs during storing the document

The documentation for this interface was generated from the following file:

- com/sun/star/sdb/XSubDocument.idl